#ifndef GAME_HPP_INCLUDE
#define GAME_HPP_INCLUDE

#include "Player.hpp"

class Game
{
	public:
		~Game() {}

		static Game& instance() {
			static Game pass;
			return pass;
		}

		void init();

		void run();
    
		bool have_won() const { return won_; }
		void win() { won_ = true; }

		Player* getGuy() { return &you_; }

	protected:
		Game () {}

		Player you_;
    		bool won_;

	private:
		bool intro();
		bool outro();
};

#endif
